<?php
namespace Phox\import\demo;

/**
 * Games Demo
 * This is thirteenth demo for the theme
 * the primary color #fcf103
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class Games_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'Games',
            'demo_num'                 => '18',
            'import_file_name'         => 'Games Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=94',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/games/games_wordpress-widget.wie',
            'preview_url'              => 'https://phox.whmcsdes.com/demos/games',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/games/games.jpg',
            'update_media_url'         => true,
            'elementor_kit'            => 'games kit',
            'condition_header'         => 63,
            'condition_footer'         => 303,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/games/games_demo-2023-01-02.json' ) );

        return json_decode( $theme_options_json, true );
    }
}
