<?php
namespace Phox\import\demo;

/**
 * GoPro Demo
 * This is Twenty Seven demo for the theme
 * the primary color #1062FE
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class GoPro_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'gopro',
            'demo_num'                 => '29',
            'import_file_name'         => 'GoPro Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=105',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/gopro/gopro_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/gopro',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/gopro/gopro.jpg',
            'update_media_url'         => true,
            'elementor_kit'            => 'gopro Kit',
            'condition_header'         => 11,
            'condition_footer'         => 429,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/gopro/gopro_demo-2024-11-03.json' ) );

        return json_decode( $theme_options_json, true );
    }
}
