<?php
namespace Phox\import\demo;

/**
 * Host Demo
 * This is Twentieth demo for the theme
 * the primary color #49D3A3
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class Host_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'host',
            'demo_num'                 => '22',
            'import_file_name'         => 'Host Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=98',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/host/host_wordpress-widget.wie',
            'preview_url'              => 'https://phox.whmcsdes.com/demos/host',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/host/host.jpg',
            'update_media_url'         => true,
            'elementor_kit'            => 'host kit',
            'condition_header'         => 11,
            'condition_footer'         => 234,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/host/host_demo-2023-04-15.json' ) );

        return json_decode( $theme_options_json, true );
    }
}
