<?php
namespace Phox\import\demo;

/**
 * Neat Demo
 * This is eighteen demo for the theme
 * the primary color #1563FE
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class Neat_Demo extends Demo {


	public function config() {

		return [
			'demo_id'                  => 'neat',
			'demo_num'                 => '20',
			'import_file_name'         => 'Neat Demo',
			'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=96',
			'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/neat/neat_wordpress-widget.wie',
			'preview_url'              => 'https://phox.whmcsdes.com/demos/neat',
			'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/neat/neat.jpg',
			'update_media_url'         => true,
            'elementor_kit'            => 'neat-kit',
            'condition_header'         => 22,
            'condition_footer'         => 309,
            'condition_popup'          => 465,
		];

	}

	public function theme_option() {

		$theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/neat/neat_demo-2023-03-07.json' ) );

		return json_decode( $theme_options_json, true );
	}

}







