<?php
namespace Phox\import\demo;

/**
 * Ocean Demo
 * This is Thirty demo for the theme
 * the primary color #2A6AFC
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://wdes.org
 */

class Ocean_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'ocean',
            'demo_num'                 => '32',
            'import_file_name'         => 'Ocean Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=108',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/ocean/ocean_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/ocean',
            'import_preview_image_url' => 'http://whmcsdes.com/phoxdemo/ocean/ocean.jpg',
            'update_media_url'         => true,
            'elementor_kit'            => 'Ocean Kit',
            'condition_header'         => 20,
            'condition_footer'         => 354,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/ocean/ocean_wordpress_2025-02-07.json' ) );
        return json_decode( $theme_options_json, true );
    }
}
