<?php
namespace Phox\import\demo;

/**
 * Saas Pro Demo
 * This is Thirty One demo for the theme
 * the primary color #59A9FE
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://wdes.org
 */

class SaasPro_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'saas-pro',
            'demo_num'                 => '33',
            'import_file_name'         => 'Sass Pro Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=109',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/saas-pro/saaspro_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/ocean',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/saas-pro/saaspro.webp',
            'update_media_url'         => true,
            'elementor_kit'            => 'SAAS Pro Kit',
            'condition_header'         => 230,
            'condition_footer'         => 532,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/saas-pro/saaspro_demo-2025-02-10.json' ) );
        return json_decode( $theme_options_json, true );
    }
}
