<?php
namespace Phox\import\demo;

/**
 * SpacePro Demo
 * This is Twenty Eleven demo for the theme
 * the primary color #1062FE
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class SpacePro_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'spacepro',
            'demo_num'                 => '30',
            'import_file_name'         => 'SpacePro Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=106',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/spacepro/spacepro_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/space-pro',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/spacepro/spacepro.jpg?123',
            'update_media_url'         => true,
            'elementor_kit'            => 'spacepro Kit',
            'condition_header'         => 116,
            'condition_footer'         => 320,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/spacepro/spacepro_demo-2025-01-20.json' ) );
        return json_decode( $theme_options_json, true );
    }
}
