<?php
namespace Phox\import\demo;

/**
 * Temple Demo
 * This is Twenty Four demo for the theme
 * the primary color #197575
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class Temple_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'temple',
            'demo_num'                 => '26',
            'import_file_name'         => 'Temple Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=102',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/temple/temple_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/temple',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/temple/temple.jpg',
            'update_media_url'         => true,
            'elementor_kit'            => 'temple kit',
            'condition_header'         => 13,
            'condition_footer'         => 292,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/temple/temple_wordpress_2024-04-15.json' ) );

        return json_decode( $theme_options_json, true );
    }
}
