<?php
namespace Phox\import\demo;

/**
 * Casual Demo
 * This is Twenty Nine demo for the theme
 * the primary color #3654FB
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class Casual_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'casual',
            'demo_num'                 => '31',
            'import_file_name'         => 'Casual Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=107',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/casual/casual_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/casual',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/casual/casual.webp',
            'update_media_url'         => true,
            'elementor_kit'            => 'Casual Kit',
            'condition_header'         => 12,
            'condition_footer'         => 362,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/casual/casual_demo-2025-01-20.json' ) );
        return json_decode( $theme_options_json, true );
    }
}
