<?php
namespace Phox\import\demo;

/**
 * ClassyPro Demo
 * This is nineteenth demo for the theme
 * the primary color #7868E5
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class ClassyPro_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'classy-pro',
            'demo_num'                 => '21',
            'import_file_name'         => 'Classy Pro Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=97',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/classy-pro/classypro_wordpress-widget.wie',
            'preview_url'              => 'https://phox.whmcsdes.com/demos/classy-pro',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/classy-pro/classy-pro.jpg',
            'update_media_url'         => true,
            'elementor_kit'            => 'classy-pro-kit',
            'condition_header'         => 13,
            'condition_footer'         => 359,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/classy-pro/classypro_demo-05-04-2023.json' ) );

        return json_decode( $theme_options_json, true );
    }
}
