<?php
namespace Phox\import\demo;

/**
 * Cloudy Demo
 * This is Twenty Three demo for the theme
 * the primary color #0475FF
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class Cloudy_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'cloudy',
            'demo_num'                 => '25',
            'import_file_name'         => 'Cloudy Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=101',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/cloudy/cloudy_wordpress-widget.wie',
            'preview_url'              => 'https://phox.whmcsdes.com/demos/cloudy',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/cloudy/cloudy.jpg',
            'update_media_url'         => true,
            'elementor_kit'            => 'Cloudy Kit',
            'condition_header'         => 42,
            'condition_footer'         => 249,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/cloudy/cloudy_wordpress_10-01-2024.json' ) );

        return json_decode( $theme_options_json, true );
    }
}
