<?php
namespace Phox\import\demo;

/**
 * Extreme Demo
 * This is Twenty Six demo for the theme
 * the primary color #1062FE
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class Edge_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'edge',
            'demo_num'                 => '28',
            'import_file_name'         => 'Edge Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=104',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/edge/edge_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/edge',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/edge/edge.jpg',
            'update_media_url'         => true,
            'elementor_kit'            => 'edge kit',
            'condition_header'         => 16,
            'condition_footer'         => 430,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/edge/edge_demo-2024-09-08.json' ) );

        return json_decode( $theme_options_json, true );
    }
}
