<?php
namespace Phox\import\demo;

/**
 * Express Demo
 * This is Twenty Two demo for the theme
 * the primary color #0069FF
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class Express_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'express',
            'demo_num'                 => '24',
            'import_file_name'         => 'Express Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=100',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/express/express_wordpress-widget.wie',
            'preview_url'              => 'https://phox.whmcsdes.com/demos/express',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/express/express.jpg',
            'update_media_url'         => true,
            'elementor_kit'            => 'Express Kit',
            'condition_header'         => 11,
            'condition_footer'         => 171,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/express/express_wordpress_31-12-2023.json' ) );

        return json_decode( $theme_options_json, true );
    }
}
