<?php
namespace Phox\import\demo;

/**
 * Extreme Demo
 * This is Twenty Five demo for the theme
 * the primary color #25858e
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class Extreme_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'extreme',
            'demo_num'                 => '27',
            'import_file_name'         => 'Extreme Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=103',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/extreme/extreme_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/extreme',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/extreme/extreme.jpg',
            'update_media_url'         => true,
            'elementor_kit'            => 'extreme kit',
            'condition_header'         => 50,
            'condition_footer'         => 882,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/extreme/extreme_wordpress_2024-07-02.json' ) );

        return json_decode( $theme_options_json, true );
    }
}
