<?php
namespace Phox\import\demo;

/**
 * Fancy Pro Demo
 * This is Thirty There demo for the theme
 * the primary color #4CA39B
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://wdes.org
 */

class FancyPro_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'fancy-pro',
            'demo_num'                 => '36',
            'import_file_name'         => 'Fancy Pro Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=112',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/fancy-pro/fancypro_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/fancy-pro',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/fancy-pro/fancy-pro.webp',
            'update_media_url'         => true,
            'elementor_kit'            => 'Fancy pro Kit',
            'condition_header'         => 85,
            'condition_footer'         => 414,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/fancy-pro/fancypro_demo-2025-02-24.json' ) );
        return json_decode( $theme_options_json, true );
    }
}
