<?php
namespace Phox\import\demo;

/**
 * Galaxy Demo
 * This is nineteenth demo for the theme
 * the primary color #7868E5
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://whmcsdes.com
 */

class Galaxy_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'galaxy',
            'demo_num'                 => '23',
            'import_file_name'         => 'Galaxy Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=99',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/galaxy/galaxy_wordpress-widget.wie',
            'preview_url'              => 'https://phox.whmcsdes.com/demos/galaxy',
            'import_preview_image_url' => 'https://whmcsdes.com/phoxdemo/galaxy/galaxy.webp',
            'update_media_url'         => true,
            'elementor_kit'            => 'galaxy kit',
            'condition_header'         => 41,
            'condition_footer'         => 193,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/galaxy/galaxy_wordpress_03-10-2023.json' ) );

        return json_decode( $theme_options_json, true );
    }
}
