<?php
namespace Phox\import\demo;

/**
 * Monster Light Demo
 * This is Thirty Two demo for the theme
 * the primary color #c59af9
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://wdes.org
 */

class MonsterLight_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'monster-light',
            'demo_num'                 => '35',
            'import_file_name'         => 'Monster Light Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=111',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/monster-light/monstelight_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/monster-light',
            'import_preview_image_url' => 'http://whmcsdes.com/phoxdemo/monster-light/monster-light.webp',
            'update_media_url'         => true,
            'elementor_kit'            => 'Monster Light Kit',
            'condition_header'         => 55,
            'condition_footer'         => 334,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/monster-light/monsterlight_demo-2025-02-17.json' ) );
        return json_decode( $theme_options_json, true );
    }
}
