<?php
namespace Phox\import\demo;

/**
 * Monster Demo
 * This is Thirty One demo for the theme
 * the primary color #59A9FE
 *
 * @package Phox
 * @author WHMCSdes
 * @link https://wdes.org
 */

class Monster_Demo extends Demo {

    public function config() {

        return [
            'demo_id'                  => 'monster-pro',
            'demo_num'                 => '34',
            'import_file_name'         => 'Monster Demo',
            'import_file_url'          => 'https://www.whmcsdes.com/ca/dl.php?type=d&id=110',
            'import_widget_file_url'   => 'https://whmcsdes.com/phoxdemo/monster/monster_wordpress-widget.wie',
            'preview_url'              => 'https://phoxwp.wdes.org/monster',
            'import_preview_image_url' => 'http://whmcsdes.com/phoxdemo/monster/monster.webp',
            'update_media_url'         => true,
            'elementor_kit'            => 'Monster Kit',
            'condition_header'         => 74,
            'condition_footer'         => 534,
        ];

    }

    public function theme_option()
    {
        $theme_options_json = wp_remote_retrieve_body( wp_remote_get( 'https://whmcsdes.com/phoxdemo/monster/monster_demo-2025-02-10.json' ) );
        return json_decode( $theme_options_json, true );
    }
}
